virtualbox (7.2.16-dfsg-1) unstable; urgency=medium

  * New upstream version 7.2.16-dfsg
  * drop patches now upstream:
    - bb27f7ef9e8b409d20c33b74e565fb3e30561f99.patch
    - system-libjpeg.patch
  * Patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Aug 2026 10:48:34 +0200

virtualbox (7.2.14-dfsg-3) unstable; urgency=medium

  * Use backported patch for the openssl build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Aug 2026 12:41:39 +0200

virtualbox (7.2.14-dfsg-2) unstable; urgency=medium

  * Refresh patch 794

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Aug 2026 11:30:05 +0200

virtualbox (7.2.14-dfsg-1) unstable; urgency=medium

  * New upstream version 7.2.14-dfsg
    (Closes: #1142527, #1014394, #1023603, #1045194, #1050406, #1064225)
    (Closes: #1140302, #1142643, #1140286, #1140838, #1141114)
  * Strip also libssl/openssl from upstream tarball
  * Switch from yasm/nasm to only nasm
    (Closes: #1104227)
  * Fix build with Openssl 4.0 (Closes: #1138419)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2026 15:29:13 +0200

virtualbox (7.2.8-dfsg-1) unstable; urgency=medium

  * New upstream version 7.2.8-dfsg
  * Refresh patches:
    - 36-fix-vnc-version-string 
    - system-libjpeg
  * Drop patches now upstream:
    - ensure-vboxsf-group-exists-ubuntu
    - linux-6.19
    - use-identity-section-when-installing-ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Apr 2026 10:31:50 +0200

virtualbox (7.2.6-dfsg-4) unstable; urgency=medium

  [ Luca Boccassi ]
  * postinst: use invoke-rc.d instead of pidof and ad-hoc tests
  * Install and use sysusers.d config file

  [ Tobias Frost ]
  * S-V 4.7.3 droped Rules-Requires-Root and Priority: optional

  [ Gianfranco Costamagna ]
  * Drop another Priority: optional field
  * Ack previous NMUs, thanks!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Apr 2026 23:07:58 +0200

virtualbox (7.2.6-dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream patch to fix build with Linux 6.19. (Closes: #1125924)

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Mar 2026 18:57:27 +0300

virtualbox (7.2.6-dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add virtualbox.service to call the init.d script manually on systemd
    systems. (Closes: #1117616, #1039410)

 -- Tobias Frost <tobi@debian.org>  Sat, 21 Mar 2026 19:15:12 +0100

virtualbox (7.2.6-dfsg-3) unstable; urgency=medium

  * Drop fuse requirement, internal implementation is used
  * Update copyright years
  * Drop libvpx from tarball

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Feb 2026 12:27:08 +0100

virtualbox (7.2.6-dfsg-2) unstable; urgency=medium

  * Refresh libjpeg patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Feb 2026 21:05:10 +0100

virtualbox (7.2.6-dfsg-1) unstable; urgency=medium

  * New upstream version 7.2.6-dfsg
  * Bump std-version to 4.7.3, no changes required
  * Drop patch new-curl.patch now upstream
  * refresh patches
  * Switch from fuse2 to fuse3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Feb 2026 17:06:15 +0100

virtualbox (7.2.4-dfsg-3) unstable; urgency=medium

  * Add libcrypt-dev build-dependency (Closes: #1107051)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Dec 2025 17:28:28 +0100

virtualbox (7.2.4-dfsg-2) unstable; urgency=medium

  [ Olivier Gayot <olivier.gayot@canonical.com> ]
  * d/p/use-identity-section-when-installing-ubuntu.patch: Use identity section
    when installing Ubuntu guest unattended. It ensures recent guests have
    their user created before first boot. (LP: #2090834).
  * d/p/ensure-vboxsf-group-exists-ubuntu.patch: Ensure the vboxsf group exists
    when installing Ubuntu guest unattended. (LP: #2090834)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Dec 2025 17:20:08 +0100

virtualbox (7.2.4-dfsg-1) unstable; urgency=medium

  * New upstream version 7.2.4-dfsg
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Oct 2025 19:31:26 +0100

virtualbox (7.2.2-dfsg-3) unstable; urgency=medium

  * From Aaron Rainbolt <arraybolt3@gmail.com>:
    - Add VBoxDRMClient (Closes: #968390)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Oct 2025 18:23:16 +0200

virtualbox (7.2.2-dfsg-2) unstable; urgency=medium

  * Fix missing libjpeg detection

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Sep 2025 15:54:04 +0200

virtualbox (7.2.2-dfsg-1) unstable; urgency=medium

  * Also add dkms log file to apport report
  * New upstream version 7.2.2-dfsg
  * Drop patches python3.13 and vrb, upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Sep 2025 22:17:48 +0200

virtualbox (7.2.0-dfsg-3) unstable; urgency=medium

  * Fix build with new curl (Closes: #1114436)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Sep 2025 12:21:04 +0200

virtualbox (7.2.0-dfsg-2) unstable; urgency=medium

  * Fix FTBFS (Closes: #1111869)
  * Refresh no-update patch
  * Add new lintian override
  * Drop libjpeg-turbo from tarball
  * Add python3.14 detect too
  * Add patch to fix typo in ogg discovery

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Aug 2025 20:21:21 +0200

virtualbox (7.2.0-dfsg-1) experimental; urgency=medium

  * New upstream version 7.2.0-dfsg
  * Refresh patches
  * Update copyright years
  * Conflict with virtualbox-7.2 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Aug 2025 16:08:18 +0200

virtualbox (7.1.12-dfsg-2) unstable; urgency=medium

  [ Andrea Pappacoda, Mateusz Łukasik ]
  * virtualbox-dkms: fix modprobe.d file (Closes: #1107320)
  * Fix dkms module install path. (Closes: #1105784, Closes: #1107320) 

  [ Gianfranco Costamagna ]
  * Upload to sid and merge two changelog entries together, thanks
    to you both!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Jul 2025 07:26:51 +0200

virtualbox (7.1.12-dfsg-1) unstable; urgency=medium

  * New upstream version 7.1.12-dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Jul 2025 17:50:19 +0200

virtualbox (7.1.10-dfsg-1) unstable; urgency=medium

  * New upstream version 7.1.10-dfsg
  * Drop libIDL dependency, removed upstream
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Jun 2025 15:31:09 +0200

virtualbox (7.1.8-dfsg-3) unstable; urgency=medium

  * Don't enable arm* for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 May 2025 09:27:02 +0200

virtualbox (7.1.8-dfsg-2) unstable; urgency=medium

  * Restrict g++-multilib on amd64 and i386 only

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 May 2025 18:44:31 +0200

virtualbox (7.1.8-dfsg-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream version 7.1.0-dfsg
  * Refresh patches
  * Add libfuse2 runtime dependency (Closes: #1082889), thanks Marco Moock for the report
  * Bump copyright years
  * Bump copyright years for Debian packaging
  * Bump std-version to 4.7.2
  * Also try to build arm64 and armhf
  * Add a source lintian override for dita file licensing not used in build

  [ Tobias Frost ]
  * Fix broken watchfile (Closes: #1094801)

  [ Mateusz Łukasik ]
  * New upstream version 7.1.8-dfsg
  * Disable build docs for now to fix FTBFS.
  * Add patch for fix FTBFS with python-3.13.
  * Add python3-setuptools to B-D.
  * Add conflict on virtualbox-7.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 May 2025 17:55:04 +0200

virtualbox (7.0.26-dfsg-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Ack previous NMUs, thanks!
  * New upstream release 7.0.26-dfsg (Closes: #1103582, Closes: #1101182,
    Closes: #1093879, Closes: #1085440).
    - CVE-2025-30712 CVE-2025-30719 CVE-2025-30725 should be fixed by this
      release
    - CVE-2025-21533 CVE-2025-21571 should be fixed by this release
    - CVE-2024-21248 CVE-2024-21253 CVE-2024-21259 CVE-2024-21263
      CVE-2024-21273 should be fixed by this release
  * Refresh patches
  * Add libfuse2 runtime dependency (Closes: #1082889), thanks Marco Moock for the report

  [ Tobias Frost ]
  * Fix broken watchfile (Closes: #1094801)

  [ Stefano Rivera ]
  * Add missing Build-Depends on python3-setuptools (Closes: #1080878)

  [ Andreas Beckmann ]
  * dkms and module-assistant updates (Closes: #1098998)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 14 May 2025 14:19:49 +0200

virtualbox (7.0.20-dfsg-1.2) unstable; urgency=medium

  [ Tobias Frost ]
  * Non maintainer upload, importing doko's patch from Ubuntu.
  * Add NEWS entry for the kernel 6.12 issue (See: #1082157)

  [ Matthias Klose ]
  * Check for Python 3.13. (Closes: #1092081)

 -- Tobias Frost <tobi@debian.org>  Fri, 31 Jan 2025 12:05:06 +0100

virtualbox (7.0.20-dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Hofstaedtler ]
  * Install files into /usr (DEP17 M2). (Closes: #1057014)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 03 Jan 2025 15:16:07 +0100

virtualbox (7.0.20-dfsg-1) unstable; urgency=medium

  * New upstream version 7.0.20-dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Jul 2024 17:48:29 +0200

virtualbox (7.0.18-dfsg-2) unstable; urgency=medium

  * Set back R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Jun 2024 19:42:13 +0200

virtualbox (7.0.18-dfsg-1) unstable; urgency=medium

  * New upstream version 7.0.18-dfsg
  * Fixup link for tarball import
  * Drop patch 162843, upstream. Refresh vnc patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 May 2024 16:44:26 +0200

virtualbox (7.0.16-dfsg-9) unstable; urgency=medium

  * Drop old NEWS file
  * Update dependency of libgl1-mesa-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 May 2024 11:29:23 +0200

virtualbox (7.0.16-dfsg-8) unstable; urgency=medium

  * Drop dh_installsystemd.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 May 2024 09:43:22 +0200

virtualbox (7.0.16-dfsg-7) unstable; urgency=medium

  * replace dh_systemd_enable with dh_installsystemd
  * Drop old lintian override
  * Drop priority optional, useless. Move package to contrib/oldlibs instead of just oldlibs
  * Drop X-Python-Version
  * Drop NEWS file
  * Fix duplicate long description
  * Fix duplicate short description
  * Drop debug symbols migration code.
  * Bump compat level to 13
  * Drop trailing whitespace
  * Bump std-version to 4.7.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 May 2024 08:46:00 +0200

virtualbox (7.0.16-dfsg-6) unstable; urgency=medium

  * Add versioning to breaks/replaces

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 20:25:27 +0200

virtualbox (7.0.16-dfsg-5) unstable; urgency=medium

  * Add -hwe as transitional packages (To be dropped after 26.04)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 28 Apr 2024 08:56:40 +0200

virtualbox (7.0.16-dfsg-4) unstable; urgency=medium

  * Provide hwe package, to let virtualbox-hwe disappear from
    Ubuntu (and also xorg-lts-transitional)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Apr 2024 15:21:15 +0200

virtualbox (7.0.16-dfsg-3) unstable; urgency=medium

  * Add patch 162843 to fix an host crash with some network modes.
    LP: #2063841

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Apr 2024 12:51:11 +0200

virtualbox (7.0.16-dfsg-2) unstable; urgency=medium

  * Update manpages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Apr 2024 08:41:38 +0200

virtualbox (7.0.16-dfsg-1) unstable; urgency=medium

  * New upstream version 7.0.16-dfsg
  * Update get-orig-source script
  * Drop patches part of upstream codebase:
    - 102989
    - 102990
    - 102992
    - 102993
    - 102994
    - 102999
    - 103024
    - 103066
    - 103067
    - fix-kernel-build gcc-13

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Apr 2024 23:14:45 +0200

virtualbox (7.0.14-dfsg-4) unstable; urgency=medium

  * Add patch from Xu Zhen (xuzhen666) to fix kernel module build LP: #2053024)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Feb 2024 17:02:07 +0100

virtualbox (7.0.14-dfsg-3) unstable; urgency=medium

  * Install man page for help (LP: #2054788)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Feb 2024 11:13:01 +0100

virtualbox (7.0.14-dfsg-2) unstable; urgency=medium

  * Cherry-pick upstream fixes for kernel 6.8 and USBSAN (LP: #2053024
    LP: #2037082, Closes: #1061917)
  * debian/patches:
    - 102989.patch
    - 102990.patch
    - 102992.patch
    - 102993.patch
    - 102994.patch
    - 102999.patch
    - 103024.patch
    - 103066.patch
    - 103067.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 16:43:37 +0100

virtualbox (7.0.14-dfsg-1) unstable; urgency=medium

  * Bump kbuild dependency to fix an SDL related build failure
  * Update get-orig-source.sh script
  * New upstream version 7.0.14-dfsg
  * Update copyright years
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jan 2024 09:59:13 +0100

virtualbox (7.0.12-dfsg-1) unstable; urgency=medium

  * New upstream version 7.0.12-dfsg
  * Refresh patches
  * Drop patches now part of upstream codebase:
    {100436,100653,100677,100799,100800,
    virtualbox-modules-7.0.10-kernel-6.4.10}.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Oct 2023 13:22:21 +0200

virtualbox (7.0.10-dfsg-3) unstable; urgency=medium

  * {100436,100653,100677,100799,100800}.patch
    - cherry-pick upstream fixes for kernel 6.5
  * virtualbox-modules-7.0.10-kernel-6.4.10.patch
    - cherry-pick gentoo fix for kernel 6.4.10 (Closes: #1050096)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Aug 2023 10:52:23 +0200

virtualbox (7.0.10-dfsg-2) unstable; urgency=medium

  * Add patch to fix gcc-13 related build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2023 17:16:24 +0200

virtualbox (7.0.10-dfsg-1) unstable; urgency=medium

  * Refresh patches with upstream versions
  * New upstream version 7.0.10-dfsg
  * refresh patches, drop python3.11 and lzma patches,
    now part of upstream codebase

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2023 17:16:20 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog virtualbox-source`.
